//Testroutine um den PWM Ausgang zu Testen

#include <avr\io.h>
#include <avr\interrupt.h>
#include <util\delay.h>
#include "clock.h"

//--- Definitionen ----------------------------------------------

#define CNT_MAX 	10


#define LED_1 	(1<<PB1)
#define LED_2   (1<<PB2)
#define LED_3	(1<<PB3)
#define FALSE 0		


//--- Variablen -------------------------------------------------

 volatile uint8_t pwm_1;	
 volatile uint8_t pwm_2;
 volatile uint8_t pwm_3;


enum {ZST_PWM_1, ZST_PWM_2, ZST_PWM_3} PWM_State = ZST_PWM_1;


//--- Timer 2 als PWM Generator ---------------------------------

ISR(TIMER2_COMP_vect)
{
	static enum {UP, DOWN} cntDir = UP;
	static uint8_t cnt = 0;
	uint8_t leds = 0x00;

	if (cntDir == UP)
	{
		cnt++;
		if (cnt == CNT_MAX)
		{
			cntDir = DOWN;
			if (pwm_1 == CNT_MAX)
				leds |=LED_1;
		}
		else
		{
			if (cnt >= pwm_1)
				leds &= ~ LED_1;
		}
	}
	else
	{
		cnt--;
		if (cnt == 0)
		{
			cntDir = UP;
			if (pwm_1 == 0)
				leds  &= ~LED_1;
 
		}
		else
		{
			if (cnt <= pwm_1)
				leds |=LED_1;
		}
	}



	if (cntDir == UP)
	{
		cnt++;
		if (cnt == CNT_MAX)
		{
			cntDir = DOWN;
			if (pwm_2 == CNT_MAX)
				leds |=LED_2;
		}
		else
		{
			if (cnt >= pwm_2)
				leds &= ~ LED_2;
		}
	}
	else
	{
		cnt--;
		if (cnt == 0)
		{
			cntDir = UP;
			if (pwm_2 == 0)
				leds  &= ~LED_2;
 
		}
		else
		{
			if (cnt <= pwm_2)
				leds |=LED_2;
		}
	}


	if (cntDir == UP)
		{
			cnt++;
			if (cnt == CNT_MAX)
			{
				cntDir = DOWN;
				if (pwm_3 == CNT_MAX)
					leds |=LED_3;
			}
			else
			{
				if (cnt >= pwm_3)
					leds &= ~ LED_3;
			}
		}
		else
		{
			cnt--;
			if (cnt == 0)
			{
				cntDir = UP;
				if (pwm_3 == 0)
					leds  &= ~LED_3;
 
			}
			else
			{
				if (cnt <= pwm_3)
					leds |=LED_3;
			}
		}

	PORTB = leds;

	
}


	void MOND (void)

	
		{

			switch(PWM_State)

			

			{

				case ZST_PWM_1:
					
				
				
								

					if ( (ss<=10) && (ss>0))

						{
							pwm_3 = FALSE;
							pwm_2 = FALSE;
							pwm_1 = FALSE;
							pwm_1++;
							if (pwm_1=10)

							{
								PWM_State = ZST_PWM_2;
							}
						}

				case ZST_PWM_2:	

				

					if ((ss<=20) && (ss >10))

						{
							pwm_2 = FALSE;
							pwm_2++;
							if (pwm_2=20)

							{	
								PWM_State = ZST_PWM_3;

							}
						}

				case ZST_PWM_3:

					

					if ((ss <=30 )&& (ss >20))

						{
							pwm_3 = FALSE;
							pwm_3++;
							if (pwm_3 = 30)

							{

								
								PWM_State = ZST_PWM_1;

							}
					
					
						}
				
				
				}
		

		}



